mathgl (2.3.4-1.1build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:35:01 +0000

mathgl (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix from Bas  Couwenberg for HDF5 build issue. Closes: #835680

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Sep 2016 10:41:06 +0100

mathgl (2.3.4-1) unstable; urgency=medium

  * Imported Upstream version 2.3.4
  * Disable C++11 features

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 20 Feb 2016 13:34:52 +0200

mathgl (2.3.3+svn1216-1) unstable; urgency=medium

  * Imported Upstream version 2.3.3+svn1216 (Closes: #800460)
  * Fix GSL-2 use bug - thanks to Bas Couwenberg (Closes: #805801)
  * Fix Qt related bug -thanks to Peter Green (Closes: #803312)
  * Enable Octave interface (Closes: #741156)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 05 Dec 2015 16:20:20 +0200

mathgl (2.3.3-3) unstable; urgency=medium

  * Disable need for C++11 support (Closes: #800460)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 05 Oct 2015 21:53:19 +0300

mathgl (2.3.3-2) unstable; urgency=medium

  * Fix FTBFS on several arches (patched by  E. G. Evans) (#Closes: 797610)
  * Set enable-qt ON in json sample enable line

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 05 Sep 2015 22:51:26 +0300

mathgl (2.3.3-1) unstable; urgency=medium

  * Imported Upstream version 2.3.3 (Closes: #788776)
  * Transition from Qt4 to Qt5 (Closes: #784495)
  * Add libqt5opengl5-dev, libxcursor-dev and fluid to Build-Depends
  * Set compat=9
  * Fix several dep5 related issues in d/copyright

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 29 Aug 2015 03:52:28 +0300

mathgl (2.3.2-1) experimental; urgency=medium

  * Imported Upstream version 2.3.2
  * Fix d/copyright format as prompted by lintian warning
  * Add file argument to udav exec in udav/udav.desktop
  * Fix d/copyright as prompted by lintian info
  * Replace swig3.0 build dep by swig
  * Update Conflicts/Replaces entries in d/control
  * Set versioned build dependency for libssl1.0.0 to avert FTBFS
  * Update copyright holder names in d/copyright

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 12 Feb 2015 11:26:30 +0200

mathgl (2.2.2.1-3) unstable; urgency=medium

  * Re-enable Architecture=any on all arch dependent binaries
  * Edit several Conflicts and Replaces lines in d/control

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 20 Apr 2014 09:53:11 +0300

mathgl (2.2.2.1-2) unstable; urgency=medium

  * Exclude kfreebsd-i386 from build arch due to FTBFS

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 24 Mar 2014 12:20:56 +0200

mathgl (2.2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2.1

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 24 Mar 2014 01:00:27 +0200

mathgl (2.2.2+svn930-2) unstable; urgency=medium

  * Build against newer libwxgtk3.0 (Closes: #741710)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 16 Mar 2014 09:02:42 +0200

mathgl (2.2.2+svn930-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2+svn930 (Closes: #741131)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 15 Mar 2014 12:08:13 +0200

mathgl (2.2.1+svn921-1) unstable; urgency=low

  * Imported Upstream version 2.2.1+svn921 (Closes: #737110, #737437)
  * Fix DEP5 lintian error in d/copyright
  * Disable openmpi support and keep pthread support (Closes: #738540)
  * Disable octave interface due to FTBFS  

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 23 Feb 2014 19:16:25 +0200

mathgl (2.2-1) unstable; urgency=low

  * Imported Upstream version 2.2
  * Disable documentation building in order to avoid FTBFS on some arches
  * Disable Lua interface
  * Drop symbols files (Closes: #701320, #701651)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 10 Jan 2014 12:29:27 +0200

mathgl (2.1.3.1-4) unstable; urgency=low

  * More symbols changes for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 11:32:38 +0300

mathgl (2.1.3.1-3) unstable; urgency=low

  * Further symbols tweaking for build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 18 Aug 2013 08:48:20 +0300

mathgl (2.1.3.1-2) unstable; urgency=low

  * Amend symbols files to enable build on ia64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 17 Aug 2013 21:00:08 +0300

mathgl (2.1.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.1.3.1 (Closes: #708969)
  * Add mpi-default-dev to build dependencies.
  * Add patch for lang/setup.py.in to enable python to read directory tree
    written in utf-8 (not ascii) encoding.
  * Add UDAV.desktop and udav.png to the files to be installed within the
    package udav.
  * Add Replaces and Conflicts with mathgl-1* packages in the debian/control
    file.
  * Add udav manpage.
  * Replace octave3.2-headers with liboctave-dev in build deps.
  * Fix library package names to reflect soname.
  * Rename mathgl-doc binary to mathgl-doc-en.  
  * Fix installation directory in doc-base file mathgl-doc-en.
  * Fix installation directory of python module and files.
  * Add udav binary package.
  * Make build dependency on libhdf5-dev only.
  * Add c++ compilation include path for pyconfig.h 
  * Fix typo in libmgl-glut6.0.0 package (by D. Haley) (Closes: #698570)
  * Change soname in libraries from 6 to 7
  * Add libmgl-qt7.0.0 library package creation
  * Add libmgl-fltk7.0.0 and libmgl-wx7.0.0 packages
  * Remove DM-Upload-Allow field from debian/control
  * Remove D. Haley from uploaders after his request
  * Update Standards-Version to 3.9.4
  * Add title for CMakeLists-txt.patch
  * Remove encoding specification line from udav.desktop
  * Shorten debian/rules file by using dh $@ and overrides
  * Remove .pyc file from python-mathgl package
  * Remove old udav manpage file
  * Modify vcs field
  * Associate udav.1 manpage to package udav
  * Built with g++-4.7 on both unstable and experimental
  * Add version on libfltk1.3-dev build dependency
  * Remove (optional) tags from symbols
  * Built with gcc-4.8 on amd64
  * Add Conflicts/Replaces options in debian/control
  * Remove multiarch related commands from debian/rules
  * Add libqtwebkit-dev to build deps in debian/control
  * Amend libmgl7.0.0 related symbols for amd64
  * Install executable mgl.cgi in /usr/bin
  * Amend overlooked debian/copyright
  * Add libmgl-mpi binary package
  * Add header to the CMakeLists-txt.patch
  * Correct short package description lines (Closes: #703834)
  * Minor symbols tuning
  * Remove version from libfltk1.3-dev build dependency
  * Fix most, missing compilation and linker flag, lintian warnings
  * Update header of CMakeLists-txt.patch
  * Add --parallel option to dh $@ in debian/rules
  * Include missing files and licenses in debian/copyright
  * Fix build failure due to gsl 1.15 --> 1.16 upgrade
  * Add full text of BSD license in debian/copyright

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Aug 2013 22:24:05 +0300

mathgl (2~rc1-3) experimental; urgency=low

  * Fix symbols FTBFS, related to libmgl-wnd6, on several arches.
  * Make libmgl-dev dependent on libmgl-wnd6.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 20:16:00 +0200

mathgl (2~rc1-2) experimental; urgency=low

  * Correct typo in mathgl description in debian/control (Closes: #644863).
  * Try to fix symbols FTBFS on several arches.   

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 4 Jan 2012 15:30:00 +0200

mathgl (2~rc1-1) experimental; urgency=low

  * New experimental upstream release (Closes: #632468).
  * No documentation debian packages provided.   

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 28 Sep 2011 11:30:00 +0300

mathgl (1.11.2-6) unstable; urgency=low

  * Fix FTBFS for sparc (Closes: #642654).  

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 16:23:12 +0300

mathgl (1.11.2-5) unstable; urgency=low

  * Resolve differences for all non-optional symbols, in symbols files for ia64,
    sparc and sh4 architectures (Closes: #642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 10:25:00 +0300

mathgl (1.11.2-4) unstable; urgency=low

  * Add python-numpy to Depnds of python-mathgl in debian/control and add
    dh_numpy in binary-arch in debian/rules (Closes: #641793).
  * Ammend symbols files for ia64, sparc and sh4 architectures (Closes: #642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 24 Sep 2011 23:16:00 +0300

mathgl (1.11.2-3) unstable; urgency=low

  * Replace libfltk-dev with libfltk1.3-dev | libfltk-dev in debian/control 
    Build-Depends (Closes: #638834).
  * Ammend symbols files for s390x architecture (Closes: #639492).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 7 Sep 2011 06:04:00 +0300

mathgl (1.11.2-2) unstable; urgency=low

  * Add debian/source/options file in order to avoid the generation of unneeded debian-
    changes patch, due to the creation of extra file config.log during build.
  * Ammend symbols files.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 18 Aug 2011 20:48:00 +0300

mathgl (1.11.2-1) unstable; urgency=low

  * Incorporate changes due to the last two NMU's.
  * New upstream version.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 28 Jun 2011 17:01:00 +0200

mathgl (1.11.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload (closes: #610777).
  * debian/libmgl-qt5.symbols: _ZN10QByteArrayD1Ev is needed on sparc and
    ia64, so add it as optional.
  * debian/libmgl-wx5.symbols: three destructors known to be undefined on
    armel/armhf are also not defined on ia64 or sparc, so mark these as
    optional also.  Destructors of foreign classes are not part of the
    library ABI, so it's fine to ignore these.

 -- Steve Langasek <vorlon@debian.org>  Sun, 19 Jun 2011 07:57:43 +0000

mathgl (1.11.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix library symbols files (closes: #610777):
    - debian/libmgl-qt5.symbols: drop _ZN10QByteArrayD2Ev, which is not
      present on *any* architecture anymore.
    - debian/libmgl-fltk5.symbols: _ZN9Fl_PixmapC2EPKPKc is not present on
      ia64 or sparc and never has been.
    - debian/libmgl5.symbols:
      + _ZN7mglFuncD1Ev is present on all architectures, drop the
        architecture list (fixing the 'kfeebsd' typo that caused a build
        failure on kfreebsd-amd64).
      + _ZNSt15basic_stringbufIcSt11char_traitsIcESaIcEED2Ev,
        _ZN8u3dLightD2Ev: symbols not seen on *any* archs, drop.
      + Drop 18 symbols whose exclusion list included all 15 architectures
        that have been tested.
      + Other symbols that are template instantiations are now marked as
        optional symbols instead of tagged with an arch list, since they are
        not part of the ABI and will come and go based on the compiler
        version used, *not* just on the architecture.
      + If there are 8 or more architectures in the arch qualifier, invert
        it.  In some cases this reveals that certain symbols are actually
        64-bit specific - so infer that not-yet-tested 32-bit archs follow
        the pattern.
    - debian/*.symbols: any symbols marked for armel should also be marked
      for armhf.
  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2.  Closes: #620629.

 -- Steve Langasek <vorlon@debian.org>  Sat, 18 Jun 2011 07:33:55 +0000

mathgl (1.11.1.1-3) unreleased; urgency=low

  * Further attempt to fix symbol breakages

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 29 May 2011 19:41:00 +0200

mathgl (1.11.1.1-2) unstable; urgency=low

  * Try to fix libmgl5 related symbols breakage on all arches

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 22 May 2011 20:50:00 +0200

mathgl (1.11.1.1-1) unstable; urgency=low

  * New upstream version

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 26 Apr 2011 01:15:00 +0200

mathgl (1.11.0.1-9) unreleased; urgency=low

  * Again try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 2 Apr 2011 02:05:00 +0200

mathgl (1.11.0.1-8) unstable; urgency=low

  * Try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 24 Mar 2011 23:56:00 +0200

mathgl (1.11.0.1-7) unstable; urgency=low

  * Create patch for the removal of the texinfo/mgl_ru.info-* files
  * Update symbols files (Closes: #618235)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 14 Mar 2011 00:10:00 +0200

mathgl (1.11.0.1-6) unstable; urgency=low

  * Try to fix build failure due to broken symbols for sparc64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 5 Mar 2011 21:27:00 +0200

mathgl (1.11.0.1-5) unstable; urgency=low

  * Try to fix build failure due to broken symbols for armel and s390

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 25 Feb 2011 21:30:00 +0200

mathgl (1.11.0.1-4) unstable; urgency=low

  * Create mixed symbols files for amd64 and i386 with tagged symbols 
    (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 19 Feb 2011 23:10:00 +0200

mathgl (1.11.0.1-3) unstable; urgency=low

  * Upload in unstable
  * Change symbols files for pbuilder --distribution unstable (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 12 Feb 2011 22:14:00 +0200

mathgl (1.11.0.1-2) experimental; urgency=low

  * Update symbols files for pbuilder --distribution experimental.
  * Remove createpngdirectory.patch from series.
  * Apply patch for FTBFS on i386 (Closes: #607539).
  * Add Replaces tags for old mathgl-doc package in debian/control.
  * Various improvements in the debian/rules file.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 17 Jan 2011 21:43:00 +0200

mathgl (1.11.0.1-1) experimental; urgency=low

  * Correct debian/copyright file.
  * Create proper patches for the changes in the source tree.
  * Add new package for Russian documentation.
  * New upstream release (Closes: #603004).
  * Correct several spelling mistakes in manpages and in lang/numpy.i
  * Create symbols files for libraries.
  * Register documentation to doc-base.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 12 Dec 2010 19:13:00 +0200

mathgl (1.10.2.1-2) unstable; urgency=low

  * Make .png pictures visible from the html documentation.
  * Add python support (Closes: #541481).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 11 Sep 2010 12:37:00 +0200
	
mathgl (1.10.2.1-1) unstable; urgency=low

  [ D Eftaxiopoulos ]
  * Update to Debian Policy 3.9.1
  * Put myself and D. Haley to the maintainers list.
  * Comment out parallel-build-png.patch in the debian/patches/series file
    since it seems to apply to a texinfo/Makefile.am file that is not 
    included in the source tree.
  * Append package quilt to the build-depends list for the source in the 
    debian/control file, in order to fix a lintian error.
  * Reinstate debian/source/format file with content '3.0 (quilt)'.
  * Fix Lintian warnings related to manpages.

  [ D Haley ]
  * New upstream release 1.10.2.1 (Closes: #562743).

  [ Salvatore Bonaccorso ]
  * New Maintainer (Closes: #564422). Set Maintainer to Debian Science
    Maintainers <debian-science-maintainers@lists.alioth.debian.org>.
  * Convert to '3.0 (quilt)' package source format. Drop quilt framework for
    packaging. 
  * debian/control: 
    - Change Vcs-Browser and Vcs-Git to the debian-science git repository.
    - Change Section for source package to 'science' as per debian-science
      group policy.
    - Set DM-Upload-Allowed field to yes.
  * Add myself to Uploaders.

  [ Sylvestre Ledru ]
  * Missing dependency against automake added.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Aug 2010 21:45:47 +0200

mathgl (1.9-3) unstable; urgency=low

  * QA upload.
  * Properly orphan the package (see #564422), set maintainer to QA.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Add debian/README.source, pointing to quilt doc.
  * Bump build-deps on octave from 3.0 to 3.2 (Closes: #574025).

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 26 Mar 2010 14:06:08 +0100

mathgl (1.9-2) unstable; urgency=low

  * Fix FTBFS. Closes: #545882.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 09 Sep 2009 22:44:44 +0100

mathgl (1.9-1) unstable; urgency=low

  * New upstream release. Closes: #535503.
  * QT -> qt in package descriptions. Closes: #534425.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 19 Jul 2009 16:41:41 +0100

mathgl (1.8.1-6) unstable; urgency=low

  * Redo descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 09 Jun 2009 20:26:42 +0100

mathgl (1.8.1-5) unstable; urgency=low

  * Correct info-dir-section in texinfo/mathgl.texi. Closes: #528893.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 27 May 2009 17:52:50 +0100

mathgl (1.8.1-4) unstable; urgency=low

  * Correct libltdl-dev Build-Depend. Closes: #526426.
  * Further improve descriptions.

 -- Bradley Smith <bradsmith@debian.org>  Fri, 01 May 2009 12:59:05 +0100

mathgl (1.8.1-3) unstable; urgency=low

  * Tidy up descriptions. Closes: #521830, #521917.
  * Update Standards-Version to 3.8.1. (No changes).
  * Fix watch file.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 18 Apr 2009 17:42:59 +0100

mathgl (1.8.1-2) unstable; urgency=low

  * Fix parallel builds. Closes: #519738.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 19 Mar 2009 19:08:37 +0000

mathgl (1.8.1-1) unstable; urgency=low

  * New upstream release. Closes: #518769.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 08 Mar 2009 13:29:33 +0000

mathgl (1.8-1) unstable; urgency=low

  * Initial release. Closes: #510378.

 -- Bradley Smith <bradsmith@debian.org>  Thu, 01 Jan 2009 11:27:32 +0000
